import Vue from 'vue'
import App from './App.vue'
import ElementUI from 'element-ui';
import 'element-ui/lib/theme-chalk/index.css';
import router from "./router/index.js"
import axios from "./api/index.js"
Vue.use(ElementUI);

Vue.prototype.axios = axios
// vue 使用这个插件



Vue.config.productionTip = false

new Vue({
  render: h => h(App),
  router:router
}).$mount('#app')
