import Vue from "vue"
import VueRouter from "vue-router"
import index from "../pages/index.vue"
import list from "../pages/list.vue"
Vue.use(VueRouter)

const router = new VueRouter({
  routes: [{
    path:"/index",
    component:index,
    children:[{
      path:"table",
      component: () => import("../pages/table.vue")
    },{
      path:"list",
      component: list
    }]
  },{
    path:"/list",
    name:"list",
    component:list
  },{
    path:"/login",
    component: ()=> import("../pages/login.vue")
  },{
    path:"*",
    component: ()=> import("../pages/404.vue")
  }]
})

export default router